WorkflowInstance

The WorkflowInstance is a read-only object that allows users to track the progress of a workflow for a specific parent in Maximizer CRM.

A Workflow Instance provides information such as:

  • Who started the workflow for the parent.

  • When the workflow was started.

  • The current task the workflow is on for that parent.

  • Whether the workflow has been completed for that parent.

MetaData

Read WorkflowInstance metadata (simple)

// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": 1
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/WorkflowInstance"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}

Read WorkflowInstance metadata (more)

// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": {
                "Key": 1,
                "Alias": 1,
                "Type": 1,
                "Name": 1,
                "AppliesTo": 1,
                "Sortable": 1,
                "Queryable": 1,
                "Mandatory": 1,
                "Attributes": 1,
                "DisplayValue": 1
            }
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/WorkflowInstance"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}

WorkflowInstance CRUD

Read - WorkflowInstance

// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "WorkflowInstance": {
        "Scope": {
            "Fields": {
                "Key": 1,
                "WorkflowKey": 1,
                "WorkflowStageKey": 1,
                "WorkflowTaskTemplateKey": 1, // Current Task Template in which the workflow is in for defined parent 
                "ParentKey": 1, // AbentryKey only for now
                "WithKey": 1, // UdoKey only for now
                "Completed": 1, // Only true when last task of the workflow is completed
                "Creator": 1, // Who started the workflow
                "CreationDate": 1 // When the workflow was started
            }
        },
        "Criteria": {
            "SearchQuery": {},
            "Top": 3
        }
    }
}